## org.eclipse.emf.ecore.util
Class ECrossReferenceAdapter.InverseCrossReferencer

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EObject,java.util.Collection<EStructuralFeature.Setting>>
              org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
                  org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>

Enclosing class:
  ECrossReferenceAdapter

    protected class ECrossReferenceAdapter.InverseCrossReferencer

extends EcoreUtil.CrossReferencer

See Also:
  Serialized Form

Field Summary
`protected java.util.Map<URI,java.util.List<EObject>>` `proxyMap`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`emfObjects`

Constructor Summary
`protected` `ECrossReferenceAdapter.InverseCrossReferencer()`

Method Summary
`void` `add(EObject eObject)`
`void` `add(EObject eObject, EReference eReference, EObject crossReferencedEObject)`
`protected void` `add(InternalEObject eObject, EReference eReference, EObject crossReferencedEObject)`
`protected void` `addProxy(EObject proxy, EObject context)`
`protected boolean` `crossReference(EObject eObject, EReference eReference, EObject crossReferencedEObject)` Return true if the specified eReference from eObject to crossReferencedEObject should be considered a cross reference by this cross referencer.
`protected EContentsEList.FeatureIterator<EObject>` `getCrossReferences(EObject eObject)`
`protected java.util.Collection<EStructuralFeature.Setting>` `newCollection()` Return a collection to use for storing `settings`.
`protected URI` `normalizeURI(URI uri, EObject objectContext)`
`java.lang.Object` `remove(EObject eObject)`
`void` `remove(EObject eObject, EReference eReference, EObject crossReferencedEObject)`
`protected java.util.List<EObject>` `removeProxies(URI uri)`
`protected void` `removeProxy(EObject proxy, EObject context)`
`protected boolean` `resolve()` Return true if cross references that are proxies should be resolved.

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`containment, crossReference, done, find, getCollection, handleCrossReference, newContentsIterator, print, print, toString`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### proxyMap

    protected java.util.Map<URI,java.util.List<EObject>> proxyMap

Constructor Detail

### ECrossReferenceAdapter.InverseCrossReferencer

    protected ECrossReferenceAdapter.InverseCrossReferencer()

Method Detail

### getCrossReferences

    protected EContentsEList.FeatureIterator<EObject> getCrossReferences(EObject eObject)

  Overrides:
    `getCrossReferences` in class `EcoreUtil.CrossReferencer`

### crossReference

    protected boolean crossReference(EObject eObject,
                                     EReference eReference,
                                     EObject crossReferencedEObject)

  Description copied from class: `EcoreUtil.CrossReferencer`
  Return true if the specified eReference from eObject to crossReferencedEObject should be considered a cross reference by this cross referencer.

  Overrides:
    `crossReference` in class `EcoreUtil.CrossReferencer`
  Parameters:
    `eObject` - an object in the cross referencer's content tree.
    `eReference` - a reference from the object.
    `crossReferencedEObject` - the target of the specified reference.
  Returns:
    if the cross referencer should consider the specified reference a cross reference.

### newCollection

    protected java.util.Collection<EStructuralFeature.Setting> newCollection()

  Description copied from class: `EcoreUtil.CrossReferencer`
  Return a collection to use for storing `settings`.

  Overrides:
    `newCollection` in class `EcoreUtil.CrossReferencer`
  Returns:
    a collection for settings.

### add

    public void add(EObject eObject)

### add

    protected void add(InternalEObject eObject,
                       EReference eReference,
                       EObject crossReferencedEObject)

  Overrides:
    `add` in class `EcoreUtil.CrossReferencer`

### add

    public void add(EObject eObject,
                    EReference eReference,
                    EObject crossReferencedEObject)

### addProxy

    protected void addProxy(EObject proxy,
                            EObject context)

### remove

    public java.lang.Object remove(EObject eObject)

### remove

    public void remove(EObject eObject,
                       EReference eReference,
                       EObject crossReferencedEObject)

### removeProxy

    protected void removeProxy(EObject proxy,
                               EObject context)

### removeProxies

    protected java.util.List<EObject> removeProxies(URI uri)

### normalizeURI

    protected URI normalizeURI(URI uri,
                               EObject objectContext)

### resolve

    protected boolean resolve()

  Description copied from class: `EcoreUtil.CrossReferencer`
  Return true if cross references that are proxies should be resolved.

  Overrides:
    `resolve` in class `EcoreUtil.CrossReferencer`
  Returns:
    if the cross referencer should resolve proxies.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.